<?
set_time_limit (3600 );
use_helper('UrlFunctions');
use_helper('UtilFunctions');
$o_ObjectBean = new ClienteBean();
  
$tamanioPag = 3000;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO  


if(myUser::getUser()->getRoleId() == "sys.gen" || myUser::getUser()->getRoleId() == "sys.res" || myUser::getUser()->getRoleId() == "sys.sup"|| myUser::getUser()->getRoleId() == "sys.view"){
	
}else{
	$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
}


//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
//$o_SucursalBean->setIdAdministrador(myUser::getUser()->getIdColaborador());

$o_SucursalBL = new SucursalBL();
$o_SucursalBean->setIdSucursal($cboSucursal);
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

$o_ClienteDP = new ClienteDP($o_ObjectBean);

foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
	$a_ObjectBeanS[$key] = $o_ClienteDP->seleccionarClientesReCaptacion($IdSucursal,$cboMercado);
	$count += count($a_ObjectBeanS[$key]);
	//echo $count."__";
}
ViewResponse::getInstance()->setMethodAjax();


$pdf = new TCPDF('P', PDF_UNIT,'A5', true); 
$pdf->AliasNbPages();
$pdf->setHeaderFont(array('times','',8));
$pdf->setFooterMargin('15');

$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador(myUser::getUser()->getIdColaborador());
$o_ColaboradorBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);

foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreRepresentante = utf8_encode(ucwords($o_Colaborador->getNombreCompleto()));
	
}

$o_MercadoBean = new MercadoBean();
$o_MercadoBean->setIdMercado($cboMercado);
$o_MercadoBL = new MercadoBL();
$a_o_Mercado = $o_MercadoBL->busquedaMercado($o_MercadoBean);

foreach ($a_o_Mercado as $key => $o_Mercado){
	$NombreMercado = utf8_encode(ucwords($o_Mercado->getDescripcion()));
}


$str = 'Mercado:'.ucwords($NombreMercado).'          Representante :'.ucwords($NombreRepresentante).'        Fecha:'.date('Y-m-d');


$pdf->setHeaderData('','','Informe de Recaptacion de clientes',$str);

define("POS_IZQ", 10);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',12);
$pdf->SetX(POS_IZQ);


/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',7);
$pdf->SetXY(POS_IZQ,10);




 
$pdf->SetX(POS_IZQ); 
$pdf->SetFillColor(236,235,236);  
$pdf->SetFont('times','',8);
$pdf->Cell(9,4,'Nro.',1,0,'L',1);
$pdf->Cell(15,4,'Código.',1,0,'L',1);
$pdf->Cell(55,4,'Cliente',1,0,'L',1);
$pdf->Cell(25,4,'Ult.F.Cancelado',1,0,'C',1);
$pdf->Cell(25,4,'N.Prest.Cancelado',1,1,'L',1);
//$pdf->Cell(10,0,'',1,1,'L',1);

//$pdf->Cell(10,4,date('Y-m-d'),1,0,'L',1);
/*$pdf->Cell(10,4,date('Y-m-d',strtotime('+1 days')),1,0,'L',1);
$pdf->Cell(10,4,date('Y-m-d',strtotime('+2 days')),1,1,'L',1);*/

//$pdf->Cell(35,4,'Inicio',0,0,'L',1);
/*fin de cabecera*/



$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',9);
$pdf->SetX(POS_IZQ); 
if(count($a_ObjectBeanS)>0){
	 $i = 1;
  	foreach ($a_ObjectBeanS as $key => $a_ObjectBean){
	  reset($a_ObjectBean);
	 
	 
	  foreach ($a_ObjectBean as $iKey => $o_objBean){
	  	
	      $pdf->SetX(POS_IZQ);
	     
	      $pdf->Cell(9,4,$i++,1,0,'L',1);
	      $pdf->Cell(15,4,$iKey++,1,0,'L',1);
	      $pdf->Cell(55,4,$o_objBean['NombreCliente'],1,0,'L',1);
	      $pdf->Cell(25,4,substr($o_objBean['fechaMaximoCancelado'],0,10),1,0,'C',1);
	      
	      $pdf->Cell(25,4,$o_objBean['C'],1,1,'C',1);
	      //$pdf->Cell(10,0,'',1,1,'L',1);
	      
	    }
	}
//}
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);
  
}
$pdf->Output();
?>